/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2009-2010 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "dsmcParcel.H"
#include <dsmc/DsmcCloud_.H>
#include <dsmc/MaxwellianThermal.H>
#include <dsmc/SpecularReflection.H>
#include <dsmc/MixedDiffuseSpecular.H>

namespace Foam
{
    makeWallInteractionModel(DsmcCloud<dsmcParcel>);

    // Add instances of wall interaction model to the table
    makeWallInteractionModelType
    (
        MaxwellianThermal,
        DsmcCloud,
        dsmcParcel
    );
    makeWallInteractionModelType
    (
        SpecularReflection,
        DsmcCloud,
        dsmcParcel
    );
    makeWallInteractionModelType
    (
        MixedDiffuseSpecular,
        DsmcCloud,
        dsmcParcel
    );
};


// ************************ vim: set sw=4 sts=4 et: ************************ //
